> For the complete documentation index, see [llms.txt](https://docs.gobtcpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gobtcpay.com/api-reference/pos-api/gobtc-pay-pos-api/payment-statuses.md).

# Payment statuses

```mermaid
stateDiagram-v2
  direction LR
  [*] --> initiated
  initiated --> paid: customer paid
  initiated --> expired: TTL elapsed
  initiated --> canceled: canceled
  paid --> cleared: confirmed on-chain
  cleared --> [*]
  expired --> [*]
  canceled --> [*]
  classDef success fill:#1b5e20,color:#ffffff,stroke:#1b5e20
  classDef terminal fill:#5f6368,color:#ffffff,stroke:#5f6368
  class cleared success
  class expired,canceled terminal
```

* **initiated** — payment created, awaiting the customer.
* **paid** — customer payment seen, awaiting on-chain confirmation.
* **cleared** — confirmed on-chain (final, success).
* **expired / canceled** — final, unsuccessful.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gobtcpay.com/api-reference/pos-api/gobtc-pay-pos-api/payment-statuses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
